scala.swing.Window

# SuperMixin

#### trait SuperMixin extends java.awt.Window

Attributes
  protected
Source
  Window.scala

Linear Supertypes
java.awt.Window, Accessible, java.awt.Container, java.awt.Component, java.io.Serializable, MenuContainer, ImageObserver, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SuperMixin
2. Window
3. Accessible
4. Container
5. Component
6. Serializable
7. MenuContainer
8. ImageObserver
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### abstract class AccessibleAWTComponent extends AccessibleContext with java.io.Serializable with AccessibleComponent

   Attributes
     protected
   Definition Classes
     Component

2. #### class AccessibleAWTContainer extends AccessibleAWTComponent

   Attributes
     protected
   Definition Classes
     Container

3. #### class AccessibleAWTWindow extends AccessibleAWTContainer

   Attributes
     protected
   Definition Classes
     Window

4. #### class BltBufferStrategy extends BufferStrategy

   Attributes
     protected
   Definition Classes
     Component

5. #### class FlipBufferStrategy extends BufferStrategy

   Attributes
     protected
   Definition Classes
     Component

6. #### final class NativeInLightFixer extends ComponentListener with ContainerListener

   Attributes
     private[java.awt]
   Definition Classes
     Component

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SuperMixin to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (SuperMixin, B)

   Implicit information
     This member is added by an implicit conversion from SuperMixin to ArrowAssoc[SuperMixin] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def add(arg0: java.awt.Component, arg1: Any, arg2: Int): Unit

   Definition Classes
     Container

9. #### def add(arg0: java.awt.Component, arg1: Any): Unit

   Definition Classes
     Container

10. #### def add(arg0: java.awt.Component, arg1: Int): java.awt.Component

    Definition Classes
      Container

11. #### def add(arg0: String, arg1: java.awt.Component): java.awt.Component

    Definition Classes
      Container

12. #### def add(arg0: java.awt.Component): java.awt.Component

    Definition Classes
      Container

13. #### def add(arg0: PopupMenu): Unit

    Definition Classes
      Component

14. #### def addComponentListener(arg0: ComponentListener): Unit

    Definition Classes
      Component

15. #### def addContainerListener(arg0: ContainerListener): Unit

    Definition Classes
      Container

16. #### def addFocusListener(arg0: FocusListener): Unit

    Definition Classes
      Component

17. #### def addHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

    Definition Classes
      Component

18. #### def addHierarchyListener(arg0: HierarchyListener): Unit

    Definition Classes
      Component

19. #### def addImpl(arg0: java.awt.Component, arg1: Any, arg2: Int): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Container

20. #### def addInputMethodListener(arg0: InputMethodListener): Unit

    Definition Classes
      Component

21. #### def addKeyListener(arg0: KeyListener): Unit

    Definition Classes
      Component

22. #### def addMouseListener(arg0: MouseListener): Unit

    Definition Classes
      Component

23. #### def addMouseMotionListener(arg0: MouseMotionListener): Unit

    Definition Classes
      Component

24. #### def addMouseWheelListener(arg0: MouseWheelListener): Unit

    Definition Classes
      Component

25. #### def addNotify(): Unit

    Definition Classes
      Window → Container → Component

26. #### def addPropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

    Definition Classes
      Window → Container → Component

27. #### def addPropertyChangeListener(arg0: PropertyChangeListener): Unit

    Definition Classes
      Window → Container → Component

28. #### def addWindowFocusListener(arg0: WindowFocusListener): Unit

    Definition Classes
      Window

29. #### def addWindowListener(arg0: WindowListener): Unit

    Definition Classes
      Window

30. #### def addWindowStateListener(arg0: WindowStateListener): Unit

    Definition Classes
      Window

31. #### def applyComponentOrientation(arg0: ComponentOrientation): Unit

    Definition Classes
      Container → Component

32. #### def areFocusTraversalKeysSet(arg0: Int): Boolean

    Definition Classes
      Container → Component

33. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

34. #### def checkImage(arg0: java.awt.Image, arg1: Int, arg2: Int, arg3: ImageObserver): Int

    Definition Classes
      Component

35. #### def checkImage(arg0: java.awt.Image, arg1: ImageObserver): Int

    Definition Classes
      Component

36. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

37. #### def coalesceEvents(arg0: AWTEvent, arg1: AWTEvent): AWTEvent

    Attributes
      protected[java.awt]
    Definition Classes
      Component

38. #### def contains(arg0: java.awt.Point): Boolean

    Definition Classes
      Component

39. #### def contains(arg0: Int, arg1: Int): Boolean

    Definition Classes
      Component

40. #### def createBufferStrategy(arg0: Int, arg1: BufferCapabilities): Unit

    Definition Classes
      Window → Component
    Annotations
      @throws( classOf[java.awt.AWTException] )

41. #### def createBufferStrategy(arg0: Int): Unit

    Definition Classes
      Window → Component

42. #### def createImage(arg0: Int, arg1: Int): java.awt.Image

    Definition Classes
      Component

43. #### def createImage(arg0: ImageProducer): java.awt.Image

    Definition Classes
      Component

44. #### def createVolatileImage(arg0: Int, arg1: Int, arg2: ImageCapabilities): VolatileImage

    Definition Classes
      Component
    Annotations
      @throws( classOf[java.awt.AWTException] )

45. #### def createVolatileImage(arg0: Int, arg1: Int): VolatileImage

    Definition Classes
      Component

46. #### final def disableEvents(arg0: Long): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

47. #### final def dispatchEvent(arg0: AWTEvent): Unit

    Definition Classes
      Component

48. #### def dispose(): Unit

    Definition Classes
      Window

49. #### def doLayout(): Unit

    Definition Classes
      Container → Component

50. #### final def enableEvents(arg0: Long): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

51. #### def enableInputMethods(arg0: Boolean): Unit

    Definition Classes
      Component

52. #### def ensuring(cond: (SuperMixin) ⇒ Boolean, msg: ⇒ Any): SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to Ensuring[SuperMixin] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

53. #### def ensuring(cond: (SuperMixin) ⇒ Boolean): SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to Ensuring[SuperMixin] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

54. #### def ensuring(cond: Boolean, msg: ⇒ Any): SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to Ensuring[SuperMixin] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

55. #### def ensuring(cond: Boolean): SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to Ensuring[SuperMixin] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

56. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

57. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

58. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

59. #### def findComponentAt(arg0: java.awt.Point): java.awt.Component

    Definition Classes
      Container

60. #### def findComponentAt(arg0: Int, arg1: Int): java.awt.Component

    Definition Classes
      Container

61. #### def firePropertyChange(arg0: String, arg1: Double, arg2: Double): Unit

    Definition Classes
      Component

62. #### def firePropertyChange(arg0: String, arg1: Float, arg2: Float): Unit

    Definition Classes
      Component

63. #### def firePropertyChange(arg0: String, arg1: Long, arg2: Long): Unit

    Definition Classes
      Component

64. #### def firePropertyChange(arg0: String, arg1: Short, arg2: Short): Unit

    Definition Classes
      Component

65. #### def firePropertyChange(arg0: String, arg1: Char, arg2: Char): Unit

    Definition Classes
      Component

66. #### def firePropertyChange(arg0: String, arg1: Byte, arg2: Byte): Unit

    Definition Classes
      Component

67. #### def firePropertyChange(arg0: String, arg1: Int, arg2: Int): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

68. #### def firePropertyChange(arg0: String, arg1: Boolean, arg2: Boolean): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

69. #### def firePropertyChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

70. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from SuperMixin to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

71. #### def getAccessibleContext(): AccessibleContext

    Definition Classes
      Window → Accessible → Component

72. #### def getAlignmentX(): Float

    Definition Classes
      Container → Component

73. #### def getAlignmentY(): Float

    Definition Classes
      Container → Component

74. #### def getBackground(): java.awt.Color

    Definition Classes
      Component

75. #### def getBaseline(arg0: Int, arg1: Int): Int

    Definition Classes
      Component

76. #### def getBaselineResizeBehavior(): BaselineResizeBehavior

    Definition Classes
      Component

77. #### def getBounds(arg0: java.awt.Rectangle): java.awt.Rectangle

    Definition Classes
      Component

78. #### def getBounds(): java.awt.Rectangle

    Definition Classes
      Component

79. #### def getBufferStrategy(): BufferStrategy

    Definition Classes
      Window → Component

80. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

81. #### def getColorModel(): ColorModel

    Definition Classes
      Component

82. #### def getComponent(arg0: Int): java.awt.Component

    Definition Classes
      Container

83. #### def getComponentAt(arg0: java.awt.Point): java.awt.Component

    Definition Classes
      Container → Component

84. #### def getComponentAt(arg0: Int, arg1: Int): java.awt.Component

    Definition Classes
      Container → Component

85. #### def getComponentCount(): Int

    Definition Classes
      Container

86. #### def getComponentListeners(): Array[ComponentListener]

    Definition Classes
      Component

87. #### def getComponentOrientation(): ComponentOrientation

    Definition Classes
      Component

88. #### def getComponentZOrder(arg0: java.awt.Component): Int

    Definition Classes
      Container

89. #### def getComponents(): Array[java.awt.Component]

    Definition Classes
      Container

90. #### def getContainerListeners(): Array[ContainerListener]

    Definition Classes
      Container

91. #### def getCursor(): Cursor

    Definition Classes
      Component

92. #### def getDropTarget(): DropTarget

    Definition Classes
      Component

93. #### final def getFocusCycleRootAncestor(): java.awt.Container

    Definition Classes
      Window → Component

94. #### def getFocusListeners(): Array[FocusListener]

    Definition Classes
      Component

95. #### def getFocusOwner(): java.awt.Component

    Definition Classes
      Window

96. #### def getFocusTraversalKeys(arg0: Int): Set[AWTKeyStroke]

    Definition Classes
      Window → Container → Component

97. #### def getFocusTraversalKeysEnabled(): Boolean

    Definition Classes
      Component

98. #### def getFocusTraversalPolicy(): FocusTraversalPolicy

    Definition Classes
      Container

99. #### def getFocusableWindowState(): Boolean

    Definition Classes
      Window

100. #### def getFont(): java.awt.Font

     Definition Classes
       Component → MenuContainer

101. #### def getFontMetrics(arg0: java.awt.Font): FontMetrics

     Definition Classes
       Component

102. #### def getForeground(): java.awt.Color

     Definition Classes
       Component

103. #### def getGraphics(): Graphics

     Definition Classes
       Component

104. #### def getGraphicsConfiguration(): GraphicsConfiguration

     Definition Classes
       Window → Component

105. #### def getHeight(): Int

     Definition Classes
       Component

106. #### def getHierarchyBoundsListeners(): Array[HierarchyBoundsListener]

     Definition Classes
       Component

107. #### def getHierarchyListeners(): Array[HierarchyListener]

     Definition Classes
       Component

108. #### def getIconImages(): java.util.List[java.awt.Image]

     Definition Classes
       Window

109. #### def getIgnoreRepaint(): Boolean

     Definition Classes
       Component

110. #### def getInputContext(): InputContext

     Definition Classes
       Window → Component

111. #### def getInputMethodListeners(): Array[InputMethodListener]

     Definition Classes
       Component

112. #### def getInputMethodRequests(): InputMethodRequests

     Definition Classes
       Component

113. #### def getInsets(): java.awt.Insets

     Definition Classes
       Container

114. #### def getKeyListeners(): Array[KeyListener]

     Definition Classes
       Component

115. #### def getLayout(): LayoutManager

     Definition Classes
       Container

116. #### def getListeners[T <: EventListener](arg0: Class[T]): Array[T]

     Definition Classes
       Window → Container → Component

117. #### def getLocale(): Locale

     Definition Classes
       Window → Component

118. #### def getLocation(arg0: java.awt.Point): java.awt.Point

     Definition Classes
       Component

119. #### def getLocation(): java.awt.Point

     Definition Classes
       Component

120. #### def getLocationOnScreen(): java.awt.Point

     Definition Classes
       Component

121. #### def getMaximumSize(): java.awt.Dimension

     Definition Classes
       Container → Component

122. #### def getMinimumSize(): java.awt.Dimension

     Definition Classes
       Container → Component

123. #### def getModalExclusionType(): ModalExclusionType

     Definition Classes
       Window

124. #### def getMostRecentFocusOwner(): java.awt.Component

     Definition Classes
       Window

125. #### def getMouseListeners(): Array[MouseListener]

     Definition Classes
       Component

126. #### def getMouseMotionListeners(): Array[MouseMotionListener]

     Definition Classes
       Component

127. #### def getMousePosition(arg0: Boolean): java.awt.Point

     Definition Classes
       Container
     Annotations
       @throws( classOf[java.awt.HeadlessException] )

128. #### def getMousePosition(): java.awt.Point

     Definition Classes
       Component
     Annotations
       @throws( classOf[java.awt.HeadlessException] )

129. #### def getMouseWheelListeners(): Array[MouseWheelListener]

     Definition Classes
       Component

130. #### def getName(): String

     Definition Classes
       Component

131. #### def getOwnedWindows(): Array[java.awt.Window]

     Definition Classes
       Window

132. #### def getOwner(): java.awt.Window

     Definition Classes
       Window

133. #### def getParent(): java.awt.Container

     Definition Classes
       Component

134. #### def getPreferredSize(): java.awt.Dimension

     Definition Classes
       Container → Component

135. #### def getPropertyChangeListeners(arg0: String): Array[PropertyChangeListener]

     Definition Classes
       Component

136. #### def getPropertyChangeListeners(): Array[PropertyChangeListener]

     Definition Classes
       Component

137. #### def getSize(arg0: java.awt.Dimension): java.awt.Dimension

     Definition Classes
       Component

138. #### def getSize(): java.awt.Dimension

     Definition Classes
       Component

139. #### def getToolkit(): Toolkit

     Definition Classes
       Window → Component

140. #### final def getTreeLock(): AnyRef

     Definition Classes
       Component

141. #### final def getWarningString(): String

     Definition Classes
       Window

142. #### def getWidth(): Int

     Definition Classes
       Component

143. #### def getWindowFocusListeners(): Array[WindowFocusListener]

     Definition Classes
       Window

144. #### def getWindowListeners(): Array[WindowListener]

     Definition Classes
       Window

145. #### def getWindowStateListeners(): Array[WindowStateListener]

     Definition Classes
       Window

146. #### def getX(): Int

     Definition Classes
       Component

147. #### def getY(): Int

     Definition Classes
       Component

148. #### def hasFocus(): Boolean

     Definition Classes
       Component

149. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in scala.Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any

150. #### def imageUpdate(arg0: java.awt.Image, arg1: Int, arg2: Int, arg3: Int, arg4: Int, arg5: Int): Boolean

     Definition Classes
       Component → ImageObserver

151. #### def invalidate(): Unit

     Definition Classes
       Container → Component

152. #### def isActive(): Boolean

     Definition Classes
       Window

153. #### final def isAlwaysOnTop(): Boolean

     Definition Classes
       Window

154. #### def isAlwaysOnTopSupported(): Boolean

     Definition Classes
       Window

155. #### def isAncestorOf(arg0: java.awt.Component): Boolean

     Definition Classes
       Container

156. #### def isBackgroundSet(): Boolean

     Definition Classes
       Component

157. #### def isCursorSet(): Boolean

     Definition Classes
       Component

158. #### def isDisplayable(): Boolean

     Definition Classes
       Component

159. #### def isDoubleBuffered(): Boolean

     Definition Classes
       Component

160. #### def isEnabled(): Boolean

     Definition Classes
       Component

161. #### final def isFocusCycleRoot(): Boolean

     Definition Classes
       Window → Container

162. #### def isFocusCycleRoot(arg0: java.awt.Container): Boolean

     Definition Classes
       Container → Component

163. #### def isFocusOwner(): Boolean

     Definition Classes
       Component

164. #### final def isFocusTraversalPolicyProvider(): Boolean

     Definition Classes
       Container

165. #### def isFocusTraversalPolicySet(): Boolean

     Definition Classes
       Container

166. #### def isFocusable(): Boolean

     Definition Classes
       Component

167. #### final def isFocusableWindow(): Boolean

     Definition Classes
       Window

168. #### def isFocused(): Boolean

     Definition Classes
       Window

169. #### def isFontSet(): Boolean

     Definition Classes
       Component

170. #### def isForegroundSet(): Boolean

     Definition Classes
       Component

171. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

172. #### def isLightweight(): Boolean

     Definition Classes
       Component

173. #### def isLocationByPlatform(): Boolean

     Definition Classes
       Window

174. #### def isMaximumSizeSet(): Boolean

     Definition Classes
       Component

175. #### def isMinimumSizeSet(): Boolean

     Definition Classes
       Component

176. #### def isOpaque(): Boolean

     Definition Classes
       Component

177. #### def isPreferredSizeSet(): Boolean

     Definition Classes
       Component

178. #### def isShowing(): Boolean

     Definition Classes
       Window → Component

179. #### def isValid(): Boolean

     Definition Classes
       Component

180. #### def isVisible(): Boolean

     Definition Classes
       Component

181. #### def list(arg0: PrintWriter, arg1: Int): Unit

     Definition Classes
       Container → Component

182. #### def list(arg0: PrintStream, arg1: Int): Unit

     Definition Classes
       Container → Component

183. #### def list(arg0: PrintWriter): Unit

     Definition Classes
       Component

184. #### def list(arg0: PrintStream): Unit

     Definition Classes
       Component

185. #### def list(): Unit

     Definition Classes
       Component

186. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

187. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

188. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

189. #### def pack(): Unit

     Definition Classes
       Window

190. #### def paint(arg0: Graphics): Unit

     Definition Classes
       Window → Container → Component

191. #### def paintAll(arg0: Graphics): Unit

     Definition Classes
       Component

192. #### def paintComponents(arg0: Graphics): Unit

     Definition Classes
       Container

193. #### def paramString(): String

     Attributes
       protected[java.awt]
     Definition Classes
       Container → Component

194. #### def prepareImage(arg0: java.awt.Image, arg1: Int, arg2: Int, arg3: ImageObserver): Boolean

     Definition Classes
       Component

195. #### def prepareImage(arg0: java.awt.Image, arg1: ImageObserver): Boolean

     Definition Classes
       Component

196. #### def print(arg0: Graphics): Unit

     Definition Classes
       Container → Component

197. #### def printAll(arg0: Graphics): Unit

     Definition Classes
       Component

198. #### def printComponents(arg0: Graphics): Unit

     Definition Classes
       Container

199. #### def processComponentEvent(arg0: ComponentEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

200. #### def processContainerEvent(arg0: ContainerEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container

201. #### def processEvent(arg0: AWTEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Window → Container → Component

202. #### def processFocusEvent(arg0: FocusEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

203. #### def processHierarchyBoundsEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

204. #### def processHierarchyEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

205. #### def processInputMethodEvent(arg0: InputMethodEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

206. #### def processKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

207. #### def processMouseEvent(arg0: MouseEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

208. #### def processMouseMotionEvent(arg0: MouseEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

209. #### def processMouseWheelEvent(arg0: MouseWheelEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

210. #### def processWindowEvent(e: WindowEvent): Unit

     Attributes
       protected
     Definition Classes
       SuperMixin → Window

211. #### def processWindowFocusEvent(arg0: WindowEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Window

212. #### def processWindowStateEvent(arg0: WindowEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Window

213. #### def remove(arg0: java.awt.Component): Unit

     Definition Classes
       Container

214. #### def remove(arg0: Int): Unit

     Definition Classes
       Container

215. #### def remove(arg0: MenuComponent): Unit

     Definition Classes
       Component → MenuContainer

216. #### def removeAll(): Unit

     Definition Classes
       Container

217. #### def removeComponentListener(arg0: ComponentListener): Unit

     Definition Classes
       Component

218. #### def removeContainerListener(arg0: ContainerListener): Unit

     Definition Classes
       Container

219. #### def removeFocusListener(arg0: FocusListener): Unit

     Definition Classes
       Component

220. #### def removeHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

     Definition Classes
       Component

221. #### def removeHierarchyListener(arg0: HierarchyListener): Unit

     Definition Classes
       Component

222. #### def removeInputMethodListener(arg0: InputMethodListener): Unit

     Definition Classes
       Component

223. #### def removeKeyListener(arg0: KeyListener): Unit

     Definition Classes
       Component

224. #### def removeMouseListener(arg0: MouseListener): Unit

     Definition Classes
       Component

225. #### def removeMouseMotionListener(arg0: MouseMotionListener): Unit

     Definition Classes
       Component

226. #### def removeMouseWheelListener(arg0: MouseWheelListener): Unit

     Definition Classes
       Component

227. #### def removeNotify(): Unit

     Definition Classes
       Window → Container → Component

228. #### def removePropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

     Definition Classes
       Component

229. #### def removePropertyChangeListener(arg0: PropertyChangeListener): Unit

     Definition Classes
       Component

230. #### def removeWindowFocusListener(arg0: WindowFocusListener): Unit

     Definition Classes
       Window

231. #### def removeWindowListener(arg0: WindowListener): Unit

     Definition Classes
       Window

232. #### def removeWindowStateListener(arg0: WindowStateListener): Unit

     Definition Classes
       Window

233. #### def repaint(arg0: Long, arg1: Int, arg2: Int, arg3: Int, arg4: Int): Unit

     Definition Classes
       Component

234. #### def repaint(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

235. #### def repaint(arg0: Long): Unit

     Definition Classes
       Component

236. #### def repaint(): Unit

     Definition Classes
       Component

237. #### def requestFocus(arg0: Boolean): Boolean

     Attributes
       protected[java.awt]
     Definition Classes
       Component

238. #### def requestFocus(): Unit

     Definition Classes
       Component

239. #### def requestFocusInWindow(arg0: Boolean): Boolean

     Attributes
       protected[java.awt]
     Definition Classes
       Component

240. #### def requestFocusInWindow(): Boolean

     Definition Classes
       Component

241. #### final def setAlwaysOnTop(arg0: Boolean): Unit

     Definition Classes
       Window
     Annotations
       @throws( ... )

242. #### def setBackground(arg0: java.awt.Color): Unit

     Definition Classes
       Component

243. #### def setBounds(arg0: java.awt.Rectangle): Unit

     Definition Classes
       Window → Component

244. #### def setBounds(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Window → Component

245. #### def setComponentOrientation(arg0: ComponentOrientation): Unit

     Definition Classes
       Component

246. #### def setComponentZOrder(arg0: java.awt.Component, arg1: Int): Unit

     Definition Classes
       Container

247. #### def setCursor(arg0: Cursor): Unit

     Definition Classes
       Window → Component

248. #### def setDropTarget(arg0: DropTarget): Unit

     Definition Classes
       Component

249. #### def setEnabled(arg0: Boolean): Unit

     Definition Classes
       Component

250. #### final def setFocusCycleRoot(arg0: Boolean): Unit

     Definition Classes
       Window → Container

251. #### def setFocusTraversalKeys(arg0: Int, arg1: Set[_ <: AWTKeyStroke]): Unit

     Definition Classes
       Container → Component

252. #### def setFocusTraversalKeysEnabled(arg0: Boolean): Unit

     Definition Classes
       Component

253. #### def setFocusTraversalPolicy(arg0: FocusTraversalPolicy): Unit

     Definition Classes
       Container

254. #### final def setFocusTraversalPolicyProvider(arg0: Boolean): Unit

     Definition Classes
       Container

255. #### def setFocusable(arg0: Boolean): Unit

     Definition Classes
       Component

256. #### def setFocusableWindowState(arg0: Boolean): Unit

     Definition Classes
       Window

257. #### def setFont(arg0: java.awt.Font): Unit

     Definition Classes
       Container → Component

258. #### def setForeground(arg0: java.awt.Color): Unit

     Definition Classes
       Component

259. #### def setIconImage(arg0: java.awt.Image): Unit

     Definition Classes
       Window

260. #### def setIconImages(arg0: java.util.List[_ <: java.awt.Image]): Unit

     Definition Classes
       Window

261. #### def setIgnoreRepaint(arg0: Boolean): Unit

     Definition Classes
       Component

262. #### def setLayout(arg0: LayoutManager): Unit

     Definition Classes
       Container

263. #### def setLocale(arg0: Locale): Unit

     Definition Classes
       Component

264. #### def setLocation(arg0: java.awt.Point): Unit

     Definition Classes
       Component

265. #### def setLocation(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

266. #### def setLocationByPlatform(arg0: Boolean): Unit

     Definition Classes
       Window

267. #### def setLocationRelativeTo(arg0: java.awt.Component): Unit

     Definition Classes
       Window

268. #### def setMaximumSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       Component

269. #### def setMinimumSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       Window → Component

270. #### def setModalExclusionType(arg0: ModalExclusionType): Unit

     Definition Classes
       Window

271. #### def setName(arg0: String): Unit

     Definition Classes
       Component

272. #### def setPreferredSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       Component

273. #### def setSize(arg0: Int, arg1: Int): Unit

     Definition Classes
       Window → Component

274. #### def setSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       Window → Component

275. #### def setVisible(arg0: Boolean): Unit

     Definition Classes
       Window → Component

276. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

277. #### def toBack(): Unit

     Definition Classes
       Window

278. #### def toFront(): Unit

     Definition Classes
       Window

279. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Component → AnyRef → Any

280. #### def transferFocus(): Unit

     Definition Classes
       Component

281. #### def transferFocusBackward(): Unit

     Definition Classes
       Container → Component

282. #### def transferFocusDownCycle(): Unit

     Definition Classes
       Container

283. #### def transferFocusUpCycle(): Unit

     Definition Classes
       Component

284. #### def update(arg0: Graphics): Unit

     Definition Classes
       Container → Component

285. #### def validate(): Unit

     Definition Classes
       Container → Component

286. #### def validateTree(): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container

287. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

288. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

289. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

290. #### def →[B](y: B): (SuperMixin, B)

     Implicit information
       This member is added by an implicit conversion from SuperMixin to ArrowAssoc[SuperMixin] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SuperMixin to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (superMixin: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SuperMixin to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (superMixin: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def action(arg0: Event, arg1: Any): Boolean

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def applyResourceBundle(arg0: String): Unit

   Definition Classes
     Window
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### def applyResourceBundle(arg0: ResourceBundle): Unit

   Definition Classes
     Window
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### def bounds(): java.awt.Rectangle

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### def countComponents(): Int

   Definition Classes
     Container
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### def deliverEvent(arg0: Event): Unit

   Definition Classes
     Container → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

7. #### def disable(): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

8. #### def enable(arg0: Boolean): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

9. #### def enable(): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

10. #### def getPeer(): ComponentPeer

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

11. #### def gotFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

12. #### def handleEvent(arg0: Event): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

13. #### def hide(): Unit

    Definition Classes
      Window → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

14. #### def insets(): java.awt.Insets

    Definition Classes
      Container
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

15. #### def inside(arg0: Int, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

16. #### def isFocusTraversable(): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

17. #### def keyDown(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

18. #### def keyUp(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

19. #### def layout(): Unit

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

20. #### def locate(arg0: Int, arg1: Int): java.awt.Component

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

21. #### def location(): java.awt.Point

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

22. #### def lostFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

23. #### def minimumSize(): java.awt.Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

24. #### def mouseDown(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

25. #### def mouseDrag(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

26. #### def mouseEnter(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

27. #### def mouseExit(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

28. #### def mouseMove(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

29. #### def mouseUp(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

30. #### def move(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

31. #### def nextFocus(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

32. #### def postEvent(arg0: Event): Boolean

    Definition Classes
      Window → Component → MenuContainer
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

33. #### def preferredSize(): java.awt.Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

34. #### def reshape(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

    Definition Classes
      Window → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

35. #### def resize(arg0: java.awt.Dimension): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

36. #### def resize(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

37. #### def show(): Unit

    Definition Classes
      Window → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

38. #### def show(arg0: Boolean): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

39. #### def size(): java.awt.Dimension

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

40. #### def x: SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to ArrowAssoc[SuperMixin] performed by method any2ArrowAssoc in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (superMixin: ArrowAssoc[SuperMixin]).x

    Definition Classes
      ArrowAssoc
    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use `leftOfArrow`instead``

41. #### def x: SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to Ensuring[SuperMixin] performed by method any2Ensuring in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (superMixin: Ensuring[SuperMixin]).x

    Definition Classes
      Ensuring
    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from java.awt.Window

### Inherited from Accessible

### Inherited from java.awt.Container

### Inherited from java.awt.Component

### Inherited from java.io.Serializable

### Inherited from MenuContainer

### Inherited from ImageObserver

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SuperMixin to StringAdd

### Inherited by implicit conversion any2stringfmt from SuperMixin to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from SuperMixin to ArrowAssoc[SuperMixin]

### Inherited by implicit conversion any2Ensuring from SuperMixin to Ensuring[SuperMixin]

### Ungrouped